package com.fs.app.util;

public class MediaData {
    private byte[] data;           // 存储媒体数据
    private String outIndexBuf;    // 下次拉取的索引信息
    private boolean isFinish;      // 标记是否拉取完成

    // 构造方法
    public MediaData(byte[] data, String outIndexBuf, boolean isFinish) {
        this.data = data;
        this.outIndexBuf = outIndexBuf;
        this.isFinish = isFinish;
    }

    // 获取媒体数据
    public byte[] getData() {
        return data;
    }

    // 设置媒体数据
    public void setData(byte[] data) {
        this.data = data;
    }

    // 获取下次索引信息
    public String getOutIndexBuf() {
        return outIndexBuf;
    }

    // 设置下次索引信息
    public void setOutIndexBuf(String outIndexBuf) {
        this.outIndexBuf = outIndexBuf;
    }

    // 获取拉取是否完成标记
    public boolean isFinish() {
        return isFinish;
    }

    // 设置拉取是否完成标记
    public void setFinish(boolean finish) {
        isFinish = finish;
    }
}
